Page MenuHomePhabricator

Refresh thumbnail style in Vector
Closed, InvalidPublic

Description

Patches:

Details

Reference
bz65160

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 3:17 AM
bzimport added a project: Vector.
bzimport set Reference to bz65160.
bzimport added a subscriber: Unknown Object (MLST).

Created attachment 15342
image styling

simplified image styling in typography refresh beta feature, was not included in the stable release as it was not deemed to be "typography" however there was broad community consensus that this was an uncontroversial change, and was met with generally positive comments.

styling includes, removal of border, and and background color, as well as small type size adjustment and increased whitespace around images for greater readability of the the caption text and differentiation from body text.

Attached:

Change 123815 had a related patch set uploaded by Jaredzimmerman:
Simplify thumbnail styling to have consistency with mobile implementation

https://gerrit.wikimedia.org/r/123815

(In reply to Jared Zimmerman (WMF) from comment #1)

simplified image styling in typography refresh beta feature, was not
included in the stable release

What "stable release"?

Andre, when typography refresh was integrated into vector

Change 123815 merged by jenkins-bot:
Simplify thumbnail styling to have consistency with mobile implementation

https://gerrit.wikimedia.org/r/123815

This has now been merged.

The patch will be deployed to the production cluster with MediaWiki 1.23wmf5, so will hit MediaWiki.org on Thursday, May 15, non-Wikipedia wikis on Tuesday, May 20, and all Wikipedias on May 22.

The change will be advertised in the upcoming issue of Tech News: https://meta.wikimedia.org/wiki/Tech/News/2014/21

Temporarily reverted in If1d7ba81b47b9351427111a9060ea9893c87c96e.

Bartosz do you have a fix for the issue?

Change 133301 had a related patch set uploaded by Jforrester:
[Reapply] Simplify thumbnail styling to have consistency with mobile

https://gerrit.wikimedia.org/r/133301

(In reply to Jared Zimmerman (WMF) from comment #8)

Bartosz do you have a fix for the issue?

I haven't looked into this, I think Jon or Juliusz was going to do it.

@Bartosz, If you have any familiarity with the templates in play, it would be much appreciated if you could look into it based on the patch as proposed.

Sorry, I don't really edit en.wp, I don't even know what the issue is exactly :)

Change 133301 abandoned by Jforrester:
[Reapply] Simplify thumbnail styling to have consistency with mobile

Reason:
In the wrong repo now. Whoever is taking this over, please do so in the Vector repo.

https://gerrit.wikimedia.org/r/133301

All patches mentioned in this report were merged or abandoned - is there more work left to do here (if yes: please reset the bug report status to NEW or ASSIGNED), or can you close this ticket as RESOLVED FIXED?

This isn't entirely uncontroversial (as claimed) judging from the Typograpy Refresh feedback. Perhaps this is better suited for Winter?

Reset to NEW for now.

Krinkle renamed this task from image style from typography refresh was not implemented to Refresh thumbnail style in Vector.Jan 5 2015, 2:12 AM
Krinkle updated the task description. (Show Details)
Krinkle set Security to None.
Krinkle added a project: Design.
Krinkle removed subscribers: Unknown Object (MLST), Krinkle.
Edokter claimed this task.Apr 29 2015, 3:50 PM

Claiming task, since nothing is happening. I'll be creating some testcases which we can choose from.

Isarra moved this task from Backlog to Scary on the Vector board.Apr 7 2016, 1:56 AM
Jdlrobson closed this task as Invalid.Jun 29 2017, 8:39 PM
Jdlrobson moved this task from Backlog to Watching on the Readers-Web-Backlog (Tracking) board.
Jdlrobson added a subscriber: Jdlrobson.

Reflecting age; inactivity and vague description.